ru.bitel.bgbilling.modules.softline.common.service

## Interface ProductService

-     public interface ProductService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteProduct(Product product)` Удаление продукта из биллинга и всей его истории.
    `byte[]` | `getProductPicture(int productId)`
    `void` | `getProductPicture0(int productId, javax.xml.ws.Holder<javax.activation.DataHandler> fileData)` Получение изображения продукта для отображения в ЛК
    `java.util.List<Product>` | `getProducts()`
    `void` | `setProductPicture(int productId, byte[] picture)`
    `void` | `updateProduct(Product product)`

- - ### Method Detail

    - #### getProducts

          java.util.List<Product> getProducts()
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateProduct

          void updateProduct(Product product)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteProduct

          void deleteProduct(Product product)
                      throws ru.bitel.bgbilling.common.BGException

      Удаление продукта из биллинга и всей его истории.
      Parameters:
        `product` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setProductPicture

          void setProductPicture(int productId,
                                 byte[] picture)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getProductPicture

          byte[] getProductPicture(int productId)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getProductPicture0

          void getProductPicture0(int productId,
                                  javax.xml.ws.Holder<javax.activation.DataHandler> fileData)
                           throws ru.bitel.bgbilling.common.BGException

      Получение изображения продукта для отображения в ЛК
      Parameters:
        `productId` -
        `fileData` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`